﻿

namespace IRaCIS.Core.Application.Helper;

public static class FileStoreHelper
{



    public static (string TrustedFileNameForFileStorage, string RealName) GetStoreFileName(string fileName)
    {

        //带目录层级，需要后端处理前端的路径
        if (fileName.Contains("\\"))
        {
            fileName = fileName.Split("\\").Last();
        }

        if (fileName.Contains("/"))
        {
            fileName = fileName.Split("/").Last();
        }

        var trustedFileNameForFileStorage = Guid.NewGuid().ToString() + fileName;

        return (trustedFileNameForFileStorage, fileName);
    }
}

